Uploaded image for project: 'Apache Cordova'
  1. Apache Cordova
  2. CB-11634

cordova-plugin-vibration not installing on PhoneGap Build cli-6.3.0

    XMLWordPrintableJSON

    Details

      Description

      When I have my config.xml file set up as:
      <preference name="phonegap-version" value="cli-6.3.0" />
      <plugin name="cordova-plugin-vibration" source="npm" />
      <preference name="windows-appx-target" value="uap"/>
      <preference name="windows-arch" value="anycpu" />

      I get the below error:
      Installing "cordova-plugin-vibration" at "2.1.1" for windows
      Error during processing of action! Attempting to revert...
      Failed to install 'cordova-plugin-vibration':Error: Uh oh!
      ENOENT: no such file or directory, open 'C:\cygwin\home\Administrator\gimlet\plugins\cordova-plugin-vibration\src\windows\Vibration\Vibration.csproj'
      at Error (native)
      at Object.fs.openSync (fs.js:549:18)
      at Object.fs.readFileSync (fs.js:397:15)
      at Object.module.exports.parseElementtreeSync (C:\cygwin\tmp\gimlet\2149308\project\cordova\node_modules\cordova-common\src\util\xml-helpers.js:118:27)
      at Object.jsprojManager.addProjectReference (C:\cygwin\tmp\gimlet\2149308\project\cordova\lib\JsprojManager.js:187:44)
      at handlers.framework.install (C:\cygwin\tmp\gimlet\2149308\project\cordova\lib\PluginHandler.js:92:25)
      at Object.ActionStack.process (C:\cygwin\tmp\gimlet\2149308\project\cordova\node_modules\cordova-common\src\ActionStack.js:56:25)
      at PluginManager.doOperation (C:\cygwin\tmp\gimlet\2149308\project\cordova\node_modules\cordova-common\src\PluginManager.js:117:20)
      at PluginManager.addPlugin (C:\cygwin\tmp\gimlet\2149308\project\cordova\node_modules\cordova-common\src\PluginManager.js:147:17)
      at Api.addPlugin (C:\cygwin\tmp\gimlet\2149308\project\cordova\Api.js:191:10)
      Uh oh!
      ENOENT: no such file or directory, open 'C:\cygwin\home\Administrator\gimlet\plugins\cordova-plugin-vibration\src\windows\Vibration\Vibration.csproj'

      I get the same error when:
      <preference name="windows-appx-target" value="8.1-phone"/>

        Attachments

          Activity

            People

            • Assignee:
              jcesarmobile jcesarmobile
              Reporter:
              obie Benjamin Omasanuwa
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: